Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.tdb
Class TDBFactory

    java.lang.Object
      com.hp.hpl.jena.tdb.TDBFactory

    public class TDBFactory

extends Object

Public factory for creating objects (graphs, datasest) associated with TDB

Constructor Summary
`TDBFactory()`

Method Summary
`static com.hp.hpl.jena.query.Dataset` | `assembleDataset(String assemblerFile)` Read the file and assembler a dataset
`static com.hp.hpl.jena.graph.Graph` | `assembleGraph(String assemblerFile)` Read the file and assembler a graph, of type TDB persistent graph
`static com.hp.hpl.jena.rdf.model.Model` | `assembleModel(String assemblerFile)` Read the file and assembler a model, of type TDB persistent graph
`static com.hp.hpl.jena.query.Dataset` | `createDataset()` Create or connect to a TDB dataset backed by an in-memory block manager.
`static com.hp.hpl.jena.query.Dataset` | `createDataset(com.hp.hpl.jena.tdb.store.DatasetGraphTDB datasetGraph)` Create a dataset around a DatasetGraphTDB
`static com.hp.hpl.jena.query.Dataset` | `createDataset(com.hp.hpl.jena.tdb.base.file.Location location)` Create or connect to a TDB-backed dataset
`static com.hp.hpl.jena.query.Dataset` | `createDataset(String dir)` Create or connect to a TDB-backed dataset
`static com.hp.hpl.jena.tdb.store.DatasetGraphTDB` | `createDatasetGraph()` Create or connect to a TDB-backed dataset (graph-level)
`static com.hp.hpl.jena.tdb.store.DatasetGraphTDB` | `createDatasetGraph(com.hp.hpl.jena.tdb.base.file.Location location)` Create or connect to a TDB-backed dataset (graph-level)
`static com.hp.hpl.jena.tdb.store.DatasetGraphTDB` | `createDatasetGraph(String directory)` Create or connect to a TDB-backed dataset (graph-level)
`static com.hp.hpl.jena.graph.Graph` | `createGraph()` Create a TDB graph backed by an in-memory block manager.
`static com.hp.hpl.jena.graph.Graph` | `createGraph(com.hp.hpl.jena.tdb.base.file.Location loc)` Create a graph, at the given location
`static com.hp.hpl.jena.graph.Graph` | `createGraph(String dir)` Create a graph, at the given location
`static com.hp.hpl.jena.rdf.model.Model` | `createModel()` Create a TDB model backed by an in-memory block manager.
`static com.hp.hpl.jena.rdf.model.Model` | `createModel(com.hp.hpl.jena.tdb.base.file.Location loc)` Create a model, at the given location
`static com.hp.hpl.jena.rdf.model.Model` | `createModel(String dir)` Create a model, at the given location
`static com.hp.hpl.jena.graph.Graph` | `createNamedGraph(String name, com.hp.hpl.jena.tdb.base.file.Location location)` Create a TDB graph for named graph
`static com.hp.hpl.jena.graph.Graph` | `createNamedGraph(String name, String location)` Create a TDB graph for named graph
`static com.hp.hpl.jena.rdf.model.Model` | `createNamedModel(String name, com.hp.hpl.jena.tdb.base.file.Location location)` Create a TDB model for named model
`static com.hp.hpl.jena.rdf.model.Model` | `createNamedModel(String name, String location)` Create a TDB model for named model

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TDBFactory

    public TDBFactory()

Method Detail

### assembleModel

    public static com.hp.hpl.jena.rdf.model.Model assembleModel(String assemblerFile)

  Read the file and assembler a model, of type TDB persistent graph

### assembleGraph

    public static com.hp.hpl.jena.graph.Graph assembleGraph(String assemblerFile)

  Read the file and assembler a graph, of type TDB persistent graph

### assembleDataset

    public static com.hp.hpl.jena.query.Dataset assembleDataset(String assemblerFile)

  Read the file and assembler a dataset

### createModel

    public static com.hp.hpl.jena.rdf.model.Model createModel(com.hp.hpl.jena.tdb.base.file.Location loc)

  Create a model, at the given location

### createModel

    public static com.hp.hpl.jena.rdf.model.Model createModel(String dir)

  Create a model, at the given location

### createModel

    public static com.hp.hpl.jena.rdf.model.Model createModel()

  Create a TDB model backed by an in-memory block manager. For testing.

### createNamedModel

    public static com.hp.hpl.jena.rdf.model.Model createNamedModel(String name,
                                                                   String location)

  Create a TDB model for named model

### createNamedModel

    public static com.hp.hpl.jena.rdf.model.Model createNamedModel(String name,
                                                                   com.hp.hpl.jena.tdb.base.file.Location location)

  Create a TDB model for named model

### createDataset

    public static com.hp.hpl.jena.query.Dataset createDataset(String dir)

  Create or connect to a TDB-backed dataset

### createDataset

    public static com.hp.hpl.jena.query.Dataset createDataset(com.hp.hpl.jena.tdb.base.file.Location location)

  Create or connect to a TDB-backed dataset

### createDataset

    public static com.hp.hpl.jena.query.Dataset createDataset()

  Create or connect to a TDB dataset backed by an in-memory block manager. For testing.

### createDataset

    public static com.hp.hpl.jena.query.Dataset createDataset(com.hp.hpl.jena.tdb.store.DatasetGraphTDB datasetGraph)

  Create a dataset around a DatasetGraphTDB

### createGraph

    public static com.hp.hpl.jena.graph.Graph createGraph(com.hp.hpl.jena.tdb.base.file.Location loc)

  Create a graph, at the given location

### createGraph

    public static com.hp.hpl.jena.graph.Graph createGraph(String dir)

  Create a graph, at the given location

### createGraph

    public static com.hp.hpl.jena.graph.Graph createGraph()

  Create a TDB graph backed by an in-memory block manager. For testing.

### createNamedGraph

    public static com.hp.hpl.jena.graph.Graph createNamedGraph(String name,
                                                               String location)

  Create a TDB graph for named graph

### createNamedGraph

    public static com.hp.hpl.jena.graph.Graph createNamedGraph(String name,
                                                               com.hp.hpl.jena.tdb.base.file.Location location)

  Create a TDB graph for named graph

### createDatasetGraph

    public static com.hp.hpl.jena.tdb.store.DatasetGraphTDB createDatasetGraph(String directory)

  Create or connect to a TDB-backed dataset (graph-level)

### createDatasetGraph

    public static com.hp.hpl.jena.tdb.store.DatasetGraphTDB createDatasetGraph(com.hp.hpl.jena.tdb.base.file.Location location)

  Create or connect to a TDB-backed dataset (graph-level)

### createDatasetGraph

    public static com.hp.hpl.jena.tdb.store.DatasetGraphTDB createDatasetGraph()

  Create or connect to a TDB-backed dataset (graph-level)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Talis Information Ltd. Copyright ? 2010 Epimorphics Ltd.